## net.dontdrinkandroot.cache.utils
Class FileUtils

    java.lang.Object
      net.dontdrinkandroot.cache.utils.FileUtils

    public class FileUtils

extends Object

Required methods from Apache Commons IO FileUtils.

Author:
  Apache Commons IO

Field Summary
`static long` `ONE_KB`
`static long` `ONE_MB`

Constructor Summary
`FileUtils()`

Method Summary
`static void` `cleanDirectory(File directory)`
`static void` `closeQuietly(Closeable closeable)`
`static void` `copyFile(File srcFile, File destFile)`
`static void` `copyFile(File srcFile, File destFile, boolean preserveFileDate)`
`static void` `deleteDirectory(File directory)`
`static void` `forceDelete(File file)`
`static File` `getTempDirectory()`
`static String` `getTempDirectoryPath()`
`static boolean` `isSymlink(File file)`
`static boolean` `isSystemWindows()`
`static Collection<File>` `listFilesRecursive(File directory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ONE_KB

    public static final long ONE_KB

See Also:
  Constant Field Values

### ONE_MB

    public static final long ONE_MB

See Also:
  Constant Field Values

Constructor Detail

### FileUtils

    public FileUtils()

Method Detail

### deleteDirectory

    public static void deleteDirectory(File directory)
                                throws IOException

  Throws:
    `IOException`

### isSymlink

    public static boolean isSymlink(File file)
                             throws IOException

  Throws:
    `IOException`

### isSystemWindows

    public static boolean isSystemWindows()

### cleanDirectory

    public static void cleanDirectory(File directory)
                               throws IOException

  Throws:
    `IOException`

### forceDelete

    public static void forceDelete(File file)
                            throws IOException

  Throws:
    `IOException`

### copyFile

    public static void copyFile(File srcFile,
                                File destFile)
                         throws IOException

  Throws:
    `IOException`

### copyFile

    public static void copyFile(File srcFile,
                                File destFile,
                                boolean preserveFileDate)
                         throws IOException

  Throws:
    `IOException`

### closeQuietly

    public static void closeQuietly(Closeable closeable)

### getTempDirectory

    public static File getTempDirectory()

### getTempDirectoryPath

    public static String getTempDirectoryPath()

### listFilesRecursive

    public static Collection<File> listFilesRecursive(File directory)

Copyright © 2013 dontdrinkandroot. All Rights Reserved.